Misc config
Update a service
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Service UUID.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/services/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "services", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attributes": {} } }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "services", "attributes": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "name": "string", "description": "string", "slug": "string", "type": "string", "status": "string", "internal": true, "configurable": true, "provisions_people": "string", "update_people": "string", "service_identity_settings": {}, "endpoint_url": "string", "api_errors": {}, "integration": { "type": "string", "settings": {}, "credentials": {}, "metadata": {} } }, "relationships": { "organization": { "data": { "type": "organizations", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/services/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization", "related": "/services/7247ad7d-9275-454b-9e3a-0570e403739e/organization" } } } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}